monolog:
    handlers:
        main:
            type: fingers_crossed
            action_level: error
            handler: nested
            excluded_404s:
                # regex: exclude all 404 errors from the logs
                - ^/
        nested:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: error
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine"]
        deprecation:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.deprecations.log"
        deprecation_filter:
            type: filter
            handler: deprecation
            max_level: info
            channels: ["php"]
        email:
            type: fingers_crossed
            action_level: error
            handler: deduplicated
            excluded_404s:
                - ^/
            channels: ["!mailer"]
        deduplicated:
            type: deduplication
            handler: symfony_mailer
        symfony_mailer:
            type: symfony_mailer
            from_email: sistemasouilhe@gmail.com
            to_email: facucalvo@gmail.com
            subject: 'Souilhe - Ha ocurrido un Error! %%message%%'
            level: debug
            formatter: monolog.formatter.html
            content_type: text/html

